/******************************************************************************

                              Copyright (c) 2012
                            Lantiq Deutschland GmbH
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

0. DESCRIPTION
--------------

This is readme file for TAPI Line Testing library used for cpe products.

TAPI Line Testing library provides interface for measuring analog line parameters with TAPI.
Results are presented in standard units e.g. [Ohm], [V].. as described in include file.

1. HOW TO COMPILE
-----------------

1.1 LINUX
=========

    Example of configuration from UGW for AR9 system:
    --------------------

    ./configure --target=mips-openwrt-linux --host=mips-openwrt-linux --build=x86_64-redhat-linux \
	--program-prefix= --program-suffix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin \
	--sbindir=/usr/sbin --libexecdir=/usr/lib --sysconfdir=/etc --datadir=/usr/share --localstatedir=/var \
	--mandir=/usr/man --infodir=/usr/info --enable-vmmc --enable-dxt \
	--with-kernel-incl=/$UGW_PATH/openwrt/core/build_dir/linux-ltqcpe_arx188_gw_he_adsl/linux-2.6.32.42/include \
	--with-tapi-incl=/$UGW_PATH/openwrt/core/staging_dir/target-mips_r2_uClibc-0.9.30.1_arx188_gw_he_adsl/usr/include/drv_tapi \
	--with-ifxos-incl=/$UGW_PATH/openwrt/core/staging_dir/target-mips_r2_uClibc-0.9.30.1_arx188_gw_he_adsl/usr/include/ifxos \
	--enable-linux-26 ARCH=mips

    IFXOS library
    --------------------
    If needed Line Testing library can use IFXOS library. This helps to provide portability to other operating systems.
    By default IFXOS support is disabled, to enable it following argument must be used:
    --enable-ifxos
    Even if IFXOS support is disabled, path to IFXOS must be set to provide path to ifx_types.h



    Supported devices
    --------------------
    Following arguments must be set to enable Line Testing for specific device:


    FOR VMMC device
    --------------------
	--enable-vmmc

    FOR DuSLIC-xT device
    --------------------
	--enable-dxt

    FOR VINETIC device
    --------------------
	--enable-vincpe

2. USAGE
-----------------
   Line Testing library is meant to be used by applications. To do so application must include
   header files from include directory of Line Testing library and link with the static library file.
   Header files contain declarations and descriptions of interface functions.
   Library file named lib_tapi_nlt_cpe.a should be available after compiling the Line Testing library.
   Library file can be added to application by putting its name with path to LDADD during compilation of the application.





